Inhalte

# Funktion DateSerial

Gibt einen Datumswert für eine Datumsangabe aus Jahr, Monat und Tag zurück.

### Syntax:

    DateSerial (Jahr, Monat, Tag)

### Rückgabetyp:

Datum

### Parameter:

Jahr: Ausdruck vom Typ Integer, der ein Jahr angibt. Alle Werte zwischen 0 und 99 werden als Jahre im Bereich von 1900-1999 interpretiert. Für Jahre außerhalb dieses Bereichs müssen Sie alle vier Stellen angeben.

Monat: Ausdruck vom Typ Integer, der den Monat des angegebenen Jahres angibt. Der zulässige Wertebereich ist 1-12.

Tag: Ausdruck vom Typ Integer, der den Tag des angegebenen Monats angibt. Der zulässige Wertebereich ist 1-31. Es erscheint keine Fehlermeldung, wenn Sie einen nicht existierenden Tag für einen Monat mit weniger als 31 Tage eingeben.

Die Funktion DateSerial ermittelt die Anzahl der Tage zwischen dem 30.12.1899 und dem angegebenen Datum. Mit Hilfe der von der Funktion zurückgegebenen Werte können Sie Differenzen zwischen verschiedenen Daten berechnen.

Die Funktion DateSerial gibt den Datentyp "Variant" mit "VarType 7" (Datum) zurück. Intern ist dieser Wert als Double-Wert gespeichert. Wird also das Datum "01.01.1900" übergeben, so ist der Rückgabewert 2. Negative Werte entsprechen Datumsangaben vor dem 30. Dezember 1899 (nicht einschließlich).

Liegt das Datumsargument außerhalb des zulässigen Wertebereichs, so gibt LibreOffice Basic eine Fehlermeldung zurück.

Während Sie bei der Funktion DateValue eine Zeichenfolge mit dem Datum übergeben, wertet die Funktion DateSerial jeden der Parameter (Jahr, Monat, Tag) als numerischen Ausdruck separat aus.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

      Sub ExampleDateSerial
      Dim lDate As Long
      Dim sDate As String
          lDate = DateSerial(1964, 4, 9)
          sDate = DateSerial(1964, 4, 9)
          MsgBox lDate ' gibt 23476 aus
          MsgBox sDate ' gibt "1964-04-09" im ISO 8601-Format zurück
      End Sub

Bitte unterstützen Sie uns!